LibreOffice LibreOffice 4.3 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Attributes | List of all members
NoMasterException Exception Referencepublished

is thrown when a master password is needed but not available/correct. More...

`import"NoMasterException.idl";`

Inheritance diagram for NoMasterException:

## Public Attributes
PasswordRequestMode | Mode
| specifies the mode in which password should be queried. More...
Public Attributes inherited from Exception
string | Message
| gives a detailed description of the reason, why the exception was thrown. More...
com::sun::star::uno::XInterface | Context
| should contain a reference to the original, which raised the exception. More...

## Detailed Description

is thrown when a master password is needed but not available/correct.

## Member Data Documentation

PasswordRequestMode Mode

specifies the mode in which password should be queried.

The documentation for this exception was generated from the following file:

- com/sun/star/task/NoMasterException.idl